{{- define "libdjango.redis-deployment.tpl" }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ .Release.Name }}-redis"
  labels:
    {{- include "libdjango.labels" . | nindent 4 }}
    app.kubernetes.io/component: "redis"
spec:
  replicas: {{ .Values.redis.replicaCount }}
  selector:
    matchLabels:
      {{- include "libdjango.labels" . | nindent 6 }}
      app.kubernetes.io/component: "redis"
  strategy: { }
  template:
    metadata:
      labels:
        {{- include "libdjango.labels" . | nindent 8 }}
        app.kubernetes.io/component: "redis"
      annotations: { }
    spec:
      {{- with .Values.image.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      securityContext:
        {{- toYaml .Values.redis.podSecurityContext | nindent 8 }}
      containers:
        - name: redis
          securityContext:
            {{- toYaml .Values.redis.securityContext | nindent 12 }}
          image: "{{ .Values.redis.image.repository }}:{{ .Values.redis.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - name: redis
              containerPort: 6379
              protocol: TCP
          resources:
            {{- toYaml .Values.redis.resources | nindent 12 }}
      {{- with .Values.redis.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.redis.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.redis.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
{{- end }}
{{- define "libdjango.redis-deployment" -}}
{{- include "libdjango.merge" (append . "libdjango.redis-deployment.tpl") -}}
{{- end -}}
